<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:c="http://java.sun.com/jsf/core"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui">
<head>
<style>
* {
	box-sizing: border-box;
}

body {
	font-family: Arial;
	padding: 10px;
	background: #f1f1f1;
}

/* Header/Blog Title */
.header {
	padding: 30px;
	background: white;
}

.header h1 {
	font-size: 20px;
}

/* Style the top navigation bar */
.topnav {
	overflow: hidden;
	background-color: #333;
}

/* Style the topnav links */
.topnav a {
	float: left;
	display: block;
	color: #f2f2f2;
	text-align: center;
	padding: 14px 16px;
	text-decoration: none;
}

/* Change color on hover */
.topnav a:hover {
	background-color: #ddd;
	color: black;
}

/* Create two unequal columns that floats next to each other */
/* Left column */
.leftcolumn {
	float: left;
	width: 75%;
}

/* Right column */
.rightcolumn {
	float: left;
	width: 25%;
	background-color: #f1f1f1;
	padding-left: 20px;
}

/* Fake image */
.fakeimg {
	background-color: #aaa;
	width: 100%;
	padding: 20px;
}

/* Add a card effect for articles */
.card {
	background-color: white;
	padding-left: 20px;
	padding-top: 10px;
	margin-top: 20px;
}

/* Clear floats after the columns */
.row:after {
	content: "";
	display: table;
	clear: both;
}

/* Footer */
.footer {
	padding: 20px;
	text-align: center;
	background: #ddd;
	margin-top: 20px;
}

.ui-datatable {
	margin-bottom: 25px
}

.ui-datatable .ui-datatable-header {
	text-align: right !important;
}

.ui-button-text-only .ui-button-text {
	padding: 0.3em 0.4em;
}

.ui-selectcheckboxmenu-panel .ui-selectcheckboxmenu-header .ui-chkbox {
	visibility: hidden;
}

.ui-filter-column .ui-column-customfilter .custom-filter {
	width: 100%;
	box-sizing: border-box;
}

.year-spinner input {
	width: 100%;
	box-sizing: border-box;
}
/* Responsive layout - when the screen is less than 800px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 800px) {
	.leftcolumn, .rightcolumn {
		width: 100%;
		padding: 0;
	}
}

/* Responsive layout - when the screen is less than 400px wide, make the navigation links stack on top of each other instead of next to each other */
@media screen and (max-width: 400px) {
	.topnav a {
		float: none;
		width: 100%;
	}
}
</style>
<!-- Bootstrap y CSS -->
<link href="framework/bootstrap/css/bootstrap.min.css" rel="stylesheet" />

<!-- Hojas de estilo css -->
<link href="css/estilo.css" rel="stylesheet" />

</head>
<h:body>

	<div class="header">
		<h1 style="text-align: center; font-size: 40px">TodoArte</h1>
		<h2>Precargando datos</h2>
		<h:form>
			<h:commandButton action="#{artistaBean.cargardatos()}"
				value="Precarga" />
			<br></br>
		</h:form>
	</div>

	<div class="topnav">
		<a href="plataforma.xhtml">Artistas</a><a href="plataforma.xhtml">Fans</a><a
			href="plataforma.xhtml">Contenidos</a><a href="plataforma.xhtml">QyA</a>
		<a href="registro.xhtml" style="float: right">Registro</a><a
			href="login.xhtml" style="float: right">Login</a>
	</div>

	<div class="row">
		<ui:insert name="sitio">
			<div class="card">
				<ui:insert name="registro">
					<h2 style="text-align: center; text-decoration: underline;">ETAPAS
						DE PRUEBAS</h2>


					<h2>CASO 1: Listado de Artistas</h2>
					<h:form>
						<h:commandButton action="#{artistaBean.list()}" value="listar" />
						<br></br>
					</h:form>
					<br></br>
					<h:dataTable var="Artista" value="#{artistaBean.artistas}">
						<h:column headerText="Nick">
							<h:outputText value="Nick: " />
							<a href="sitio.xhtml"><h:outputText value="#{Artista.nick}" /></a>
						</h:column>

						<h:column headerText="Correo">
							<h:outputText value="Correo: " />
							<h:outputText value="#{Artista.correo}" />
						</h:column>
						<h:column headerText="Nombre">
							<h:outputText value="Nombre: " />
							<h:outputText value="#{Artista.nombre}" />
						</h:column>
						
					</h:dataTable>

					<h2>CASO 2: Busqueda de Artista</h2>
					<h:form>
						<h:inputText value="#{artistaBean.nick}" />

						<h:commandButton action="#{artistaBean.buscar()}" value="Buscar" />
						<br></br>
						<br></br>
						<h:outputText value="#{artistaBean.msj}" />

					</h:form>
					<br></br>
					<h2>CASO 3: Busqueda de Artista por Categoria</h2>

					<h:form>
						<h:outputLabel value="Eliga Categoria: " />
						<h:selectOneMenu value="#{artistaBean.catFav}">
							<f:selectItems value="#{artistaBean.catItem}" />
						</h:selectOneMenu>


						<h:commandButton action="#{artistaBean.buscarArtCat()}"
							value="Filtrar" />
						<br></br>
						<br></br>
						<h:dataTable var="Artista" value="#{artistaBean.artistasCat}">
							<h:column headerText="Nick">
								<h:outputText value="Nick: " />
								<a href="sitio.xhtml"><h:outputText value="#{Artista.nick}" /></a>
							</h:column>

							<h:column headerText="Correo">
								<h:outputText value="Correo: " />
								<h:outputText value="#{Artista.correo}" />
							</h:column>
							<h:column headerText="Nombre">
								<h:outputText value="Nombre: " />
								<h:outputText value="#{Artista.nombre}" />
							</h:column>
						</h:dataTable>

					</h:form>
					<h2>CASO 4: Busqueda de Artistas(AUN EN PRUEBAS)</h2>
<h:form>
						<p:dataTable var="Artista" value="#{dtFilterView.listarArtistas}"
							widgetVar="carsTable1"
							emptyMessage="No cars found with given criteria"
							filteredValue="#{dtFilterView.artistasFiltrados}">


							<h:outputText value="Buscar : " />
							<h:inputText id="globalFilter"
								onkeyup="PF('carsTable1').filter()" style="width:150px"
								placeholder="Enter keyword" />


							<h:column filterBy="#{Artista.nick}" headerText="NICK"
								footerText="contains" filterMatchMode="contains">
								<h:outputText value="#{Artista.nick}" />
							</h:column>






						</p:dataTable>
					</h:form>
					<br></br>
				</ui:insert>
			</div>
		</ui:insert>
	</div>



</h:body>
</html>

